HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Optimize Storage Dispatch Schedules (Beta)

Optimize energy flows into and out of a storage system to minimize cost, given a corresponding tariff, consumption profile, solar generation profile, and storage specifications. Supports a variety of installation configurations and dispatch strategies.

Body Params
string
required

The Genability 'masterTariffId' unique identifier for this tariff, prefixed with gen_mtid_. See Genability documentation for details.

tariff_property_inputs
array of objects

Genability propertyInputs applicable to the specified tariff that may affect the cost structure being optimized against. See Genability documentation for details on how to set these inputs for specific tariffs. Use Genability-defined input format.

tariff_property_inputs
date-time
required

Start time of the consumption and solar curves. Must be the start of an hour (i.e. :00:00).

consumption_curve_kwh_ac
array of numbers
required
length ≥ 1

Timeseries representing how much AC consumption needs to be met at each timestep (kWh AC).

consumption_curve_kwh_ac*
solar_generation_curve_kwh_dc
array of numbers

Timeseries representing how much DC solar production occurs at each timestep (kWh DC). If absent, assumed to be 0. If present, must have the same length as consumption_curve_kwh_ac. Note that DC to AC conversion is specified with solar_dc_to_ac_efficiency.

solar_generation_curve_kwh_dc
dispatch_strategy
object

Parameters controlling how to compute dispatch curves. Defaults to { 'optimize': true }, which uses constrained optimization to determine a best-case schedule. Also supports charge_on_surplus and fixed_schedule strategies.

number
0 to 1
Defaults to 0.96

How efficiently the solar inverter converts outgoing DC power to AC (0.0 - 1.0).

boolean
Defaults to true

Allow the battery to be charged from the grid (true/false, defaults to true). DC-coupled batteries only chargable via solar should set this to false.

boolean
Defaults to true

Allow the battery to be charged from solar (true/false, defaults to true). AC-coupled batteries may want to set this to false if indirect AC charging from converted solar is not possible.

boolean
Defaults to true

Allow excess solar to be sold back to the grid (true/false, defaults to true). Solar tied exclusively to the battery and/or the site should set this to false, which may cause curtailment in the result.

boolean
Defaults to true

Allow battery to export energy to the grid (true/false, defaults to true). Batteries configured exclusively for self-consumption should set this to false.

boolean
Defaults to true

Whether the battery is DC coupled (true/false). If false, solar power must be converted from DC to AC and then back to DC before it can be stored.

number
0 to 1
Defaults to 0.96

How efficiently the battery inverter converts incoming AC power to DC (0.0 - 1.0).

number
0 to 1
Defaults to 0.96

How efficiently the battery inverter converts outgoing DC power to AC (0.0 - 1.0)

number
0 to 1
Defaults to 0.975

Coulombic efficiency of the battery, i.e. ratio of input kWh for a full charge to output kWh for a full discharge (0.0 - 1.0).

number
Defaults to 3

The maximum amount of power that can instantaneously flow into or out of the battery (kW DC).

number
Defaults to 6

Maximum charge that the battery can hold (kWh DC).

number
0 to 1
Defaults to 0.1

Minimum state of charge of the battery (0.0 - 1.0).

number
0 to 1
Defaults to 1

Maximum state of charge of the battery (0.0 - 1.0).

number
0 to 1
Defaults to 0.5

Initial state of charge of the battery (0.0 - 1.0).

number
≥ 0
Defaults to 0

Optionally impose a cost on total discharge from the battery as a simplified degradation model ($/kWh).

number
≥ 0

Maximum energy that can be exported to the grid at any given timestep (kWh AC). Leave unspecified for unlimited exports, or set to 0 to forbid them.

Headers
string
required
Defaults to 2022-10-13

The Arcadia-Version for the request

Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json